import type { CartaExtension } from 'carta-md';
interface CodeExtensionOptions {
    /**
     * Default language when none is provided.
     */
    defaultLanguage?: string;
    /**
     * Whether to autodetect a language when none is provided.
     * Overwritten by `defaultLanguage`.
     */
    autoDetect?: string;
    /**
     * Line numbering.
     * @defaults false.
     */
    lineNumbering?: boolean;
}
/**
 * Carta code highlighting plugin. Themes available on [GitHub](https://github.com/speed-highlight/core/tree/main/dist/themes).
 */
export declare const code: (options?: CodeExtensionOptions) => CartaExtension;
export {};
