import { markedHighlight } from 'marked-highlight';
let shj;
/**
 * Carta code highlighting plugin. Themes available on [GitHub](https://github.com/speed-highlight/core/tree/main/dist/themes).
 */
export const code = (options) => {
    return {
        shjRef: (s) => (shj = s),
        markedExtensions: [
            markedHighlight({
                langPrefix: 'shj-lang-',
                async: true,
                async highlight(code, lang) {
                    const { highlight, highlightAutodetect } = shj;
                    lang ||= options?.defaultLanguage ?? '';
                    let highlighted = null;
                    if (lang)
                        highlighted = await highlight(code, lang, !(options?.lineNumbering ?? false));
                    if (highlighted)
                        return highlighted;
                    if (options?.autoDetect ?? true)
                        return await highlightAutodetect(code, !(options?.lineNumbering ?? false));
                    return (await highlight(code, 'plain', !(options?.lineNumbering ?? false)));
                }
            })
        ]
    };
};
//# sourceMappingURL=index.js.map